# class Gtk::IconView

### Public Class Methods

new(options={}) click to toggle source

    # File lib/gtk3/icon-view.rb, line 20
    def initialize(options={})
      model = options[:model]
      area  = options[:area]

      if model
        initialize_new_with_model(model)
      elsif area
        initialize_new_with_area(area)
      else
        initialize_new
      end
    end

Also aliased as: initialize_raw

### Public Instance Methods

get_cell_rect(path, cell=nil) click to toggle source

    # File lib/gtk3/icon-view.rb, line 35
    def get_cell_rect(path, cell=nil)
      exist, rect = get_cell_rect_raw(path, cell)
      if exist
        rect
      else
        nil
      end
    end

initialize_raw(options={})
Alias for: new